Skip to content

Projected interest at EOM / 3M / 6M / 12M horizons

Request

🔒 Private label — contact sales. Requires a private-label entitlement on your API client.

Projected interest at EOM / 3M / 6M / 12M horizons

Security
oauth2ClientCredentials(Required scopes: investments:read)
Path
fundAccountIdstringrequired
Query
yieldnumber, [ 0 .. 100 ]

Override annualised yield (percent). Defaults to fund effective yield.

Example:yield=9
Headers
Idempotency-Keystring

Required on write endpoints (POST). UUID per submission. Middleware dedupes for 24h.

org_wallet_refstring
business_idstringrequired
curl -i -X GET \
  'https://developer.boyahq.com/_mock/v2/openapi/investments/accounts/{fundAccountId}/projections?yield=9' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Idempotency-Key: string' \
  -H 'business_id: string' \
  -H 'org_wallet_ref: string'

Responses

Bodyapplication/json
yield_usednumberrequired

Annualised yield used for projection (percent)

Example:8.2
yield_unitstringrequired
Example:"percent"
daily_interestnumberrequired

Implied daily interest, native currency

Example:22.47
currencystringrequired
Example:"KES"
horizonsArray of objects(ProjectionHorizonDto)required
Response
{ "yield_used": 8.2, "yield_unit": "percent", "daily_interest": 22.47, "currency": "KES", "horizons": [ {} ] }